<?php

namespace App\Http\Controllers\Admin\Auth;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use App\Http\Controllers\Admin\Controller;
use App\Models\Admin;
class AdminAuthController extends Controller
{
    public function login(Request $request)
    {
        // return response()->json(
        //     ["token" => $request]
        // );
        // Admin::create(["name" => "ahmed", "email"=>$request->email, "password"=> Hash::make($request->password), "bussines_id" => $request->business->id]);
        $validator = Validator::make($request->all(), [
            'email' => 'required|email',
            'password' => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 422);
        }

        $user = Admin::where('email', $request->email)->first();

        if (!$user || !Hash::check($request->password, $user->password)) {
            return response()->json(['error' => 'Unauthorized'], 401);
        }

        $token = $user->createToken('Admin Access Token')->accessToken;

        return response()->json([
            'user_data' => $user,
            'token' => $token
        ]);
    }
}
