<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\BusinessContacts;


class BusinessContactsController extends Controller
{
    public function getContacts(Request $request){
        try{
            $business = $request->business;
            $contact = BusinessContacts::query()
                                            ->business($business->id)
                                            ->first();
            
            return response()->json([
                "contact" => $contact
            ]);
        }catch(\Exception $e){
            return response()->json([
                "error" => $e->getMessage()
            ]);
        }
    }

    public function updateorcreate(Request $request){
    try{
        $data = $request->only(BusinessContacts::FILLABLE);
        $business = $request->business;
        $data['business_id'] = $business->id;
        $admin = auth()->guard('admin')->user();
        $data['added_by'] = $admin->id;
        $contact = BusinessContacts::query()
                                            ->business($business->id)
                                            ->first();

        if($contact){
            $contact->update($data);
        }else{
            $contact = BusinessContacts::create($data);
        }
        // $contact = BusinessContacts::updateOrCreate($data);
        return response()->json([
            "contact" => $contact
        ]);
    }catch(\Exception $e){
        return response()->json([
            "error" => $e->getMessage()
        ]);
    }
    }
}
