<?php

namespace App\Http\Controllers\Admin;

use App\Repositories\Classes\ProductRepository;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Http\Controllers\Controller; // Import the base Controller class
use App\Models\Product;
// use App\Http\Requests\EditSubcategoryRequest;

class ProductController extends Controller
{
    private $productRepo;
    public function __construct(ProductRepository $productRepo){
        $this->productRepo = $productRepo;
    }
    public function all(Request $request){
        
        $business = $request->business;
        $products = $this->productRepo->getAllProducts($business->id, $request);
        
        return $products;
    }

    public function search(Request $request){
        $business = $request->business;
        $products = $this->productRepo->getAllProductsSearch($business->id,$request->name,$request->category);
        
        return $products;
    }
    public function oneProduct($id, Request $request){
        $business = $request->business;
        $product = $this->productRepo->getOneProduct($id, $business->id);

        return response()->json([
            "product" => $product
            ]);
    }

    public function add(Request $request){
        if($request->operation == 'edit' && (!$request->id || $request->id = '')){
            return response()->json([
                "message" => "NO"
            ]);
        }
        $data = $request->only(Product::FILLABLE);
        $data['code'] = "sl*hg$";
        $admin = auth()->guard('admin')->user();
        $data['added_by'] = $admin->id;
        if($request->image)
        $data['img'] = $request->image->store('web/images', 'public');
        $data['business_id'] = $request->business->id;
        $product = $this->productRepo->addProduct($request->business->id, $data);
        return response()->json([
            "product" => $product,
            "success" => true
        ]);
    //    dd($request);
    }

    public function edit(Request $request){

        $data = $request->only(Product::FILLABLE);
        if($request->image)
        $data['img'] = $request->image->store('web/images', 'public');
        $data['business_id'] = $request->business->id;
        $product = $this->productRepo->editProduct($data);
        return response()->json([
            "product" => $product,
            "success" => true
        ]);
    }


    public function delete(Request $request){
        $product = $this->productRepo->deleteProducts(json_decode($request->ids));
        return response()->json([
            "product" => $product,    
            "success" => true
        ]);
    }

    public function active(Request $request){
        $product = $this->productRepo->activeProducts(json_decode($request->ids));
        return response()->json([
            "product" => $product,    
            "success" => true
        ]);
    }

    public function unactive(Request $request){
        $product = $this->productRepo->unactiveProducts(json_decode($request->ids));
        return response()->json([
            "product" => $product,    
            "success" => true
        ]);
    }
}
