<?php

namespace App\Http\Controllers\web;

use App\Models\Category;
use App\Models\Business;
use Illuminate\Http\Request;
use App\Models\Product;

class MenuController extends Controller
{
   public function index(Request $request){
        $business = $request->business;
        $data = Category::business($business->id)->with(['subcategories.products'])->get();
        
        return response()->json([
            "menu" => $data
            ]);
    }
    
    public function setData(){
        $productsData = [ "1"=> [
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول",
                "shami"=>"6",
                "baladi"=>"7"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" فول عم بشندى",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول اسكندرانى",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول صلصة",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول زبدة",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول زيت زيتون",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول زيت حار",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول اومليت",
                "shami"=>"12",
                "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول بسطرمة",
                "shami"=>"13",
                "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول على بيض",
                "shami"=>"11",
                "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول على باذنجان",
                "shami"=>"10",
                "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول سوسيس",
                "shami"=>"13",
                "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول سجق",
                "shami"=>"13",
                "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول على طعمية",
                "shami"=>"7",
                "baladi"=>"8"
            ],
        ],
        "2"=> [
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية",
                "shami"=>"6",
                    "baladi"=>"7"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية مخصوص",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية محشية",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على جبنة",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على بطاطس",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على باذنجان",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على بابا",
                "shami"=>"10",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على بيض",
                "shami"=>"12",
                    "baladi"=>"13"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على اومليت",
                "shami"=>"12",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية بسطرمة",
                "shami"=>"12",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على سوسيس",
                "shami"=>"13",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على سجق",
                "shami"=>"13",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية عين الكتكوت",
                "shami"=>"12",
                "baladi"=>"13"
            ],
        ],
        "3"=> [
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" بطاطس صوابع",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس شيبسى",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس مهروسة",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس بانيه",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس كاتشب",
                "shami"=>"9",
                    "baladi"=>"10"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس مايونيز",
                "shami"=>"7.5",
                    "baladi"=>"8.5"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس كاتشب ومايونيز",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على بابا",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على حبنة",
                "shami"=>"9",
                    "baladi"=>"10"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على بيض",
                "shami"=>"12",
                    "baladi"=>"13"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على باذنجان",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على رومى",
                "shami"=>"13",
                    "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على شيدر",
                "shami"=>"13",
                "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس موتزريلا",
                "shami"=>"16",
                    "baladi"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على اومليت",
                "shami"=>"14",
                    "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على بسطرمة",
                "shami"=>"16",
                    "baladi"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس كروكيت",
                "shami"=>"14",
                "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس عين جمل",
                "shami"=>"14",
                "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مهروسة على زبدة",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مهروسة اومليت",
                "shami"=>"14",
                    "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مهروسة على بيض مقلى",
                "shami"=>"14",
                    "baladi"=>"15"
            ],
        ],
        "4"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"شكشوكة",
                "shami"=>"9",
                "baladi"=>"9"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مسقعة",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بابا غنوج",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مسقعة باللخمة المفرومة",
                "shami"=>"11",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"باذنجان مقلى",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"ديناميت",
                "shami"=>"14",
                    "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"عجة بلدى",
                "shami"=>"13",
                    "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"عجة فرنساوى",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
        ],
        "5"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة قريش",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة قديمة",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة فيتا",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة زعتر",
                "shami"=>"9",
                    "baladi"=>"10"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة مقلية",
                "shami"=>"15",
                "baladi"=>"16"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة مقلية بطاطس",
                "shami"=>"18",
                    "baladi"=>"19"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة مقلية جامبو",
                "shami"=>"18",
                    "baladi"=>"20"
            ],
            
        ],
        "6"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس سورى",
                "shami"=>"15",
                    "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس سورى بالجينة",
                "shami"=>"20",
                    "baladi"=>"20"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية سورى",
                "shami"=>"12",
                    "baladi"=>"12"
            ],
        ],
        "7"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"حلاوة بالقشطة",
                "shami"=>"16",
                    "baladi"=>"16"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مربى بالقشطة",
                "shami"=>"16",
                    "baladi"=>"16"
            ], 
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"سكلانس",
                "shami"=>"21",
                    "baladi"=>"21"
            ],
        ]
                
            ];
            
                foreach ($productsData as $p1) {
                    foreach ($p1 as $index => $p) {
                        Product::create(
                            [
                                // "code" => $index . "&pr",
                                "img" => $p['img'], // Corrected access to the '"img"' property
                                "name" => $p['title'],
                                "shami" => $p['shami'],
                                "baladi" => $p['baladi'],
                                "subcategory_id" => $p1
                            ]
                        );
                    }
                }
    }
    
    public function sendMultipleMessages(){
    // Array of phone numbers to send messages to
    $phoneNumbers = ["201115646730", "201096730673"];

    // Loop through each phone number
    foreach ($phoneNumbers as $phone) {
        $curl = curl_init();
        
        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://graph.facebook.com/v15.0/231395156718260/messages',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS => '{
                "messaging_product": "whatsapp",
                "to": '. $phone.',
                "type": "template",
                "template": {
                    "name": "hello_world",
                    "language": {
                        "code": "en_US"
                    }
                }
            }',
            CURLOPT_HTTPHEADER => array(
                'Authorization: Bearer YOUR_ACCESS_TOKEN', // Replace with your actual access token
                'Content-Type: application/json'
            ),
        ));

        $response = curl_exec($curl);

        // Handle the response as needed (e.g., log or display)
        echo $response;

        curl_close($curl);
    }
}

}
