<?php

namespace App\Http\Middleware;

use App\Models\Business;
use Closure;
use Illuminate\Http\Request;

class BusinessMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
 
// app/Http/Middleware/BusinessMiddleware.php

    public function handle($request, Closure $next)
    {
        $token = $request->header('Business-Token');
        // $token = "KSbU0Y6vEkuKIUNgvg4jnY2UfZtccuUT9pGflFQiHQ0iqFF2odosxlAsgJYdTp9wyxYBLmjGdhwHNlQ1B10m7oTX1bEu7j72xhA6EEi33RUO84vpA4zdqFChaRifCgp2dwgDE7qEPu2SA2jqXSLXpZ";
    
        // Check the token and set the business context
        // You may want to validate the token against a database or other source
    
        // For example, assuming you have a Business model with a 'token' attribute:
        $business = Business::where('token', $token)->first();
    
        if (!$business) {
            return response()->json(['error' => 'Invalid Business Token'], 401);
        }
    
        // Share the business context with the request
        $request->merge(['business' => $business]);
    
        return $next($request);
    }
}