<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Business extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $fillable = [
        "token",
        "is_deleted"
        ];
        
        
        public function categories(){
            return $this->hasMany(Category::class, 'business_id' ,'id');
        }
        
        public function subcategories(){
            return $this->hasMany(Subcategory::class, 'business_id' ,'id');
        }
        
        public function products(){
            return $this->hasMany(Product::class, 'business_id' ,'id');
        }


        public function qrcodes(){
            return $this->hasOne(BusinessQrCode::class, 'business_id' ,'id');
        }


        public function visitors(){
            return $this->hasMany(BusinesVisitor::class, 'business_id' ,'id');
        }
}
