<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Category extends Model
{
    use HasFactory, SoftDeletes;
    
    
    const FILLABLE = [
        "id",
        "code",
        "name",
        "descreption",
        "keywords",
        "img",
        "rate",
        "sort",
        "status",
        "added_date",
        "added_by",
        "deleted_at",
        "created_at",
        "updated_at",
        "business_id"
    ];
    protected $fillable = self::FILLABLE;
    
        
        public function subcategories(){
            return $this->hasMany(Subcategory::class, 'category_id' ,'id');
        }

        public function employee(){
            return $this->belongsTo(Employe::class, 'added_by' ,'id');
        }

        public function admin(){
            return $this->belongsTo(Admin::class, 'added_by' ,'id');
        }
        
        public function business(){
        return $this->belongsTo(Business::class, 'business_id' ,'id');
        }
        
        public function scopeBusiness($q, $token){
            return $q->where("business_id", $token);
        }

        public function scopeSearch($query, $searchName = null, $searchStatus = null, $searchAdmin = null, $searFromDate = null, $searToDate = null)
        {
            if (!empty($searchName)) {
                $query->where('name', 'LIKE', '%' . $searchName . '%');
            }

            if ($searchStatus == '0' || $searchStatus == '1') {
                $query->where('status', $searchStatus);
            }

            if (!empty($searchAdmin)) {
                $query->where('added_by', $searchAdmin);
            }

            if (!empty($searFromDate)) {
                $query->where('added_date', '>=', $searFromDate);
            }

            if (!empty($searToDate)) {
                $query->where('added_date', '<=', $searToDate);
            }
    
            return $query;
        }
}

