<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('categories', function (Blueprint $table) {
            $table->id();
            $table->string("code")->nullable();
            $table->string("name");
            $table->foreignId('added_by')->constrained('admins')->onDelete('cascade');
            $table->dateTime('added_date')->default(DB::raw('CURRENT_TIMESTAMP'));
            $table->text("keywords")->nullable();
            $table->integer("rate")->default(0);
            $table->foreignId('business_id')->constrained('businesses')->onDelete('cascade');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('categories');
    }
}
