<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSubcategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subcategories', function (Blueprint $table) {
            $table->id();
            $table->string("code")->nullable();
            $table->string("name");
            $table->foreignId("category_id")->constrained();
            $table->foreignId('added_by')->constrained('admins')->onDelete('cascade');
            $table->integer("rate")->default(0);
            $table->foreignId('business_id')->constrained('businesses')->onDelete('cascade');
            $table->boolean("deleted_at")->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subcategories');
    }
}
