<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string("code")->nullable();
            $table->string("name");
            $table->integer("shami");
            $table->integer("baladi");
            $table->string("image", 255);
            $table->foreignId("subcategory_id")->constrained('subcategories')->onDelete('cascade');
            $table->foreignId('added_by')->after('img')->constrained('admins')->onDelete('cascade');
            $table->foreignId('category_id')->after('added_by')->constrained('categories')->onDelete('cascade');
            $table->foreignId('business_id')->after('category_id')->constrained('businesses')->onDelete('cascade');
            $table->integer("rate")->default(0);
            $table->boolean("deleted_at")->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
