<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBusinessContactsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('business_contacts', function (Blueprint $table) {
            $table->id();
            $table->foreignId("business_id")->constrained("businesses")->onDelete("cascade");
            $table->string("mobile")->nullable();
            $table->string("phone")->nullable();
            $table->string("whatsapp")->nullable();
            $table->string("faceboock")->nullable();
            $table->string("instagram")->nullable();
            $table->string("xweb")->nullable();
            $table->string("snapchat")->nullable();
            $table->foreignId('added_by')->constrained('admins')->onDelete('cascade');
            $table->boolean("status")->default("1");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('business_contacts');
    }
}
