<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBusinessVisitorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('business_visitors', function (Blueprint $table) {
            $table->id();
            $table->foreignId("business_id")->constrained("businesses")->onDelete("csacade");
            $table->string("client_ip")->unique();
            $table->integer("count")->default(1);
            $table->dateTime("added_date")->useCurrent();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('business_visitors');
    }
}
