<?php

use App\Http\Controllers\web\MenuController;
use App\Http\Controllers\web\CategoryController;
use App\Http\Controllers\web\SubcategoryController;
use App\Http\Controllers\web\ProductController;

use App\Http\Controllers\admin\BusinessController;



use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});


Route::middleware(['business'])->group(function () {
    require __DIR__.'/admin/QRCode.php';
    
        Route::group(["prefix" => "web"], function(){
            Route::group(["prefix" => "categories"], function(){
                Route::get('/', [CategoryController::class, "index"]);
            });
            Route::group(["prefix" => "subCategories"], function(){
                Route::get('/{category}', [SubcategoryController::class, "getData"]);
                // Route::get('/{category}', [SubcategoryController::class, "all"]);
            });
            Route::group(["prefix" => "products"], function(){
                Route::get('/{subcategory}', [ProductController::class, "getData"]);
                // Route::get('/', [ProductController::class, "all"]);
            });
            
            Route::group(["prefix" => "menu"], function(){
                Route::get('/', [MenuController::class, "index"]);
            });
                
        });

            Route::group(["prefix" => "admin"], function(){
                require __DIR__.'/admin/admin.php';  
            });
});

